prev next
 
  • AceKard 2i Card
     

    AceKard

    •  
    •  
    •  
    •  
    •  
    • 1.456 votes

    Best Low cost DS/DSi Flash Card Firmware Updates mentum. The Wood R4 loader is a newly released loader for the original R4 (NOT any clones). Based off the codebase of the Wood RPG loader, it has the same game compatibility as Wood RPG.

     
  • AceKard 3DS
     

    StarCraft 3

    •  
    •  
    •  
    •  
    •  
    • 1.456 votes

    Buy cheap R4 DS cards in our store and download the latest firmware updates for your cards!

     
Buy AK2i

NDSi and DSi XL firmware 1.4.1 compatible R4 Flash Cards

 
 
 

DSi Firmware 1.4.1 and 1.4.2 China

or "An Error Occurred. Press and hold POWER to turn the system off."

 

This latest Nintendo DSi firmware update 1.4.1 is a pure Anti-Piracy patch that they have issued to block R4 flash cards. There are no new features for the handheld are introduced with it so as usual - please do not update your console to the latest Nintendo firmware version 1.4.1 before installing a patch on your R4 / AK / SC etc. cart if it has one.

DSi Firmware 1.41 compatible cards
  • Acekard 2i has a simple patch to make it fully compatible with all region DSi / XL1.4.1 consoles. Run the patch (.nds file) as you would normally run a game from a microSD card. Patching the flash card will only work on a DSi that had NOT been updated with 1.41 or you can use any old DS Lite or NDS.

    Other firmware 1.4.1 and 1.4.2 compatible cards are:
  • R4i Gold V1.4.1 Card
  • R4i SDHC V1.4.1 DSi
  • R4i Ultra
  • Supercard DSTWO
  • EZ-Flash Vi
  • DS iPlayer
  • iEDGE

 

The cards that were not effected by this update were:

EZ-Flash Vi, Hyper R4i and iSmart DS.

 

Initially blocked cards include DSTTi, M3i Zero, Acekard 2i (unblocked now), Supercard DSTwo (unblocked now) and DS iPlayer.

 

Buy DSi XL Firmware 1.4.1 Compatible Flash Cards

 

 

Average Rating: 91.61%

Wanted a replacement for my wifes old r4 card.

 

AceKard 2i Patch - Please find .nds files - one DSL or DSi which can use flash cart and then launch the update application in the package. Inster AK2i which need to update and follow the instructions on the screen to update.

 

iEDGE loader patch for 1.4.1 - has been released in v3 of the iEDGE Bootstrap Updater. This loader update makes the card compatible with the DSi v1.4.1 firmware. It is recommend that all users update their iEDGE bootstrap to this latest version. Both releases are available from the downloads